Bug 452864 - tcpdump/tshark with wlan0 interface locks up something
tcpdump/tshark with wlan0 interface locks up something
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-25 10:09 EDT by Robert Story
Modified: 2009-01-09 01:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:38:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Story 2008-06-25 10:09:30 EDT
Description of problem:
I wanted to watch network traffic on a wireless interface, so i rand 'tcpdump -i
wlan0'... system locked up.. mouse still moved, but no keypresses were
recognized, including shift-lock ctl-c, ctl-z, ctl-alt-backspace, ctl-alt-del
and the power button. mp3 audio stopped, machine did not respond to pings. After
a reboot, I tried the same thing on the console, with the same result. another
reboot, and i tried tshark -i eth0... similar result.. but I noticed that it was
showing running applications re-trying tcp packets... 

Version-Release number of selected component (if applicable):
kernel-2.6.24.7-92
iwl4965-firmware-4.44.1.20-1

How reproducible:
3/3 tries

Steps to Reproduce:
1. tcpdump -i wlan0 OR tshark -i wlan0
2.
3.
  
Actual results:
system lockup

Expected results:
dump of traffic on wlan0

Additional info:
Comment 1 Peter van Hooft 2008-06-27 01:15:53 EDT
The same problem here with
kernel-2.6.25.4-10.fc8.x86_64
kernel-2.6.25.6-27.fc8.x86_64
iwl3945-firmware-2.14.1.5-2.noarch
iwlwifi-3945-ucode-2.14.4-3.0.1.noarch
running on a Dell Latitude D630
Comment 2 Ralf Ertzinger 2008-07-02 08:15:31 EDT
Happened to me yesterday twice (until I figured out what caused it). Kernel
trace from the first occurance below, the system stayed usable enough to reboot.

IBM Thinkpad X60s, 3945ABG

Jul  1 18:18:51 lain kernel:<6>device eth1 entered promiscuous mode
Jul  1 18:18:51 lain kernel:<4>------------[ cut here ]------------
Jul  1 18:18:51 lain kernel:<4>WARNING: at net/mac80211/tx.c:1215
ieee80211_master_start_xmit+0x17e/0x240 [mac80211]() (Not tainted)
Jul  1 18:18:51 lain kernel:<4>Modules linked in: tun bnep i915 drm
ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 xt_state nf_conntrack
ipt_REJECT xt_tcpudp iptable_filter ip
_tables x_tables bridge rfcomm l2cap bluetooth fuse ipv6 cpufreq_ondemand
acpi_cpufreq sha256_generic aes_i586 aes_generic cbc dm_crypt kvm_intel kvm
thinkpad_acpi hwmon snd_hda_in
tel pcspkr iTCO_wdt sdhci iTCO_vendor_support mmc_core i2c_i801 ata_piix
pata_acpi snd_seq_dummy firewire_ohci i2c_core ata_generic firewire_core
snd_seq_oss arc4 crc_itu_t snd_seq
_midi_event battery ecb snd_seq crypto_blkcipher snd_seq_device ac snd_pcm_oss
bay video snd_mixer_oss output snd_pcm netxen_nic snd_timer snd_page_alloc
snd_hwdep snd iwl3945 e100
0e soundcore mac80211 usb_storage cfg80211 dm_snapshot dm_zero dm_mirror dm_log
dm_mod ahci ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd
Jul  1 18:18:51 lain kernel:<4>Pid: 3274, comm: openvpn Not tainted
2.6.26-0.97.rc8.fc10.i686.PAE #1
Jul  1 18:18:51 lain kernel:<4> [<c042aae3>] warn_on_slowpath+0x47/0x89
Jul  1 18:18:51 lain kernel:<4> [<f900e756>] ?
ieee80211_aes_ccm_encrypt+0xf6/0x13b [mac80211]
Jul  1 18:18:51 lain kernel:<4> [<f9012d21>] ? ieee80211_duration+0x12d/0x168
[mac80211]
Jul  1 18:18:51 lain kernel:<4> [<f9012d85>] ?
ieee80211_tx_h_calculate_duration+0x29/0x95 [mac80211]
Jul  1 18:18:51 lain kernel:<4> [<f901395c>] ? __ieee80211_tx+0x16/0xe1 [mac80211]
Jul  1 18:18:51 lain kernel:<4> [<f9012a36>] ? invoke_tx_handlers+0x1a/0x65
[mac80211]
Jul  1 18:18:51 lain kernel:<4> [<f90143a6>]
ieee80211_master_start_xmit+0x17e/0x240 [mac80211]
Jul  1 18:18:51 lain kernel:<4> [<c05f51e6>] dev_hard_start_xmit+0x212/0x279
Jul  1 18:18:51 lain kernel:<4> [<c06039f4>] __qdisc_run+0xaf/0x18b
Jul  1 18:18:51 lain kernel:<4> [<c05f5529>] dev_queue_xmit+0x1f4/0x337
Jul  1 18:18:51 lain kernel:<4> [<f901420f>]
ieee80211_subif_start_xmit+0x610/0x629 [mac80211]
Jul  1 18:18:51 lain kernel:<4> [<c0447308>] ? mark_held_locks+0x17/0x66
Jul  1 18:18:51 lain kernel:<4> [<c048c255>] ? kmem_cache_free+0xc9/0xde
Jul  1 18:18:51 lain kernel:<4> [<c0440000>] ? __update_sched_clock+0xe5/0x10b
Jul  1 18:18:51 lain kernel:<4> [<c05f5105>] ? dev_hard_start_xmit+0x131/0x279
Jul  1 18:18:51 lain kernel:<4> [<c05f51e6>] dev_hard_start_xmit+0x212/0x279
Jul  1 18:18:51 lain kernel:<4> [<c06039f4>] __qdisc_run+0xaf/0x18b
Jul  1 18:18:51 lain kernel:<4> [<c05f5529>] dev_queue_xmit+0x1f4/0x337
Jul  1 18:18:51 lain kernel:<4> [<c0614c51>] ip_finish_output+0x1ea/0x222
Jul  1 18:18:51 lain kernel:<4> [<c0614d07>] ip_output+0x7e/0x83
Jul  1 18:18:51 lain kernel:<4> [<c0613fe7>] ip_local_out+0x18/0x1b
Jul  1 18:18:51 lain kernel:<4> [<c0614245>] ip_push_pending_frames+0x25b/0x2b6
Jul  1 18:18:51 lain kernel:<4> [<c062c305>] udp_push_pending_frames+0x2ae/0x300
Jul  1 18:18:51 lain kernel:<4> [<c062d544>] ? udp_sendmsg+0x3ea/0x4e0
Jul  1 18:18:51 lain kernel:<4> [<c062d563>] udp_sendmsg+0x409/0x4e0
Jul  1 18:18:51 lain kernel:<4> [<c0632252>] inet_sendmsg+0x3b/0x48
Jul  1 18:18:51 lain kernel:<4> [<c05eae69>] sock_sendmsg+0xde/0xf9
Jul  1 18:18:51 lain kernel:<4> [<c043bac3>] ? autoremove_wake_function+0x0/0x33
Jul  1 18:18:51 lain kernel:<4> [<c0408913>] ? native_sched_clock+0xac/0xc8
Jul  1 18:18:51 lain kernel:<4> [<c0408632>] ? sched_clock+0x8/0xb
Jul  1 18:18:51 lain kernel:<4> [<c0445d09>] ? lock_release_holdtime+0x1a/0x115
Jul  1 18:18:51 lain kernel:<4> [<c043e9c3>] ? hrtimer_start+0x13a/0x154
Jul  1 18:18:51 lain kernel:<4> [<c05eb740>] sys_sendto+0xa4/0xc3
Jul  1 18:18:51 lain kernel:<4> [<c042502e>] ? hrtick_resched+0x5a/0x70
Jul  1 18:18:51 lain kernel:<4> [<c040353f>] ? do_notify_resume+0x752/0x76b
Jul  1 18:18:51 lain kernel:<4> [<c0444110>] ? tick_program_event+0x31/0x55
Jul  1 18:18:51 lain kernel:<4> [<c043ed65>] ? hrtimer_interrupt+0x143/0x163
Jul  1 18:18:51 lain kernel:<4> [<c05ebe87>] sys_socketcall+0xfb/0x188
Jul  1 18:18:51 lain kernel:<4> [<c0403c52>] syscall_call+0x7/0xb
Jul  1 18:18:51 lain kernel:<4> =======================
Jul  1 18:18:51 lain kernel:<4>---[ end trace fb7d4cb49576805e ]---
Comment 3 Bug Zapper 2008-11-26 05:55:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:38:05 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.